
package de.ivu.elect.presentation.personenpruefung.action;

import javax.annotation.Nonnull;

import de.ivu.elect.business.personenpruefung.entity.PersonenKonflikt;
import de.ivu.elect.business.personenpruefung.entity.PersonenKonfliktArt;

public abstract class AbstractPersonenKonfliktDublettenAufloesenAction extends AbstractPersonenKonfliktAufloesenAction {

  private static final long serialVersionUID = 1L;

  public AbstractPersonenKonfliktDublettenAufloesenAction() {
    super();
  }

  @Override
  public PersonenKonfliktArt getKonfliktArt() {
    return PersonenKonfliktArt.POTENTIELLE_DUBLETTE;
  }

  @Override
  public boolean isDisabledInternal(@Nonnull PersonenKonflikt personenKonflikt) {
    return super.isDisabledInternal(personenKonflikt) || !personenKonflikt.isKonfliktStatusManuellZuPruefen();
  }
}
